Subject: Re: [net-next PATCH 0/5] net_sched: Add support for IFE action

From: Jamal Hadi Salim <[email-masked]>
Date: Thu, 25 Feb 2016 07:23:30 -0500

On 16-02-24 12:48 PM, Daniel Borkmann wrote:
> On 02/24/2016 01:49 PM, Jamal Hadi Salim wrote:

>> Drivers do set the hash. My use case is slightly different.
>> I have a NIC which has an embedded cavium processor. This thing
>> strips off the TLV and uses the hash to select the host MSI.
>> Only thing we dont use at the moment is queue_mapping.
>
> Ok, but the example says ingress qdisc. ;) I presume the driver for the
> NIC and the offloading parts are non-public? :/

Well, it is not exactly mellanox or intel - but I am sure someone would
be willing to sell that NIC.

> So, without them, placing
> this on ingress qdisc doesn't seem much useful wrt the skb hash example,
> and most people only have the software part (for ingress I mean) available.

Do you want me to take skbbhash out? I just want to get this set in then
worry about adding and modifying.

cheers,
jamal